> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pureframe.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Retry Delivery



## OpenAPI

````yaml /openapi.json post /v1/webhooks/{endpoint_id}/deliveries/{delivery_id}/retry
openapi: 3.1.0
info:
  title: Pureframe API
  version: v1
  description: >-
    The Pureframe API lets you upload videos, index them for semantic search,
    and retrieve timestamped clips matching text queries or reference images.
    All endpoints require a Bearer API key (`Authorization: Bearer pf_...`).
  contact:
    url: https://pureframe.ai
    email: hello@pureframe.ai
  x-logo:
    url: https://pureframe.ai/logo.png
servers:
  - url: https://api.pureframe.ai
    description: Production
security: []
tags: []
paths:
  /v1/webhooks/{endpoint_id}/deliveries/{delivery_id}/retry:
    post:
      tags:
        - Webhooks
      summary: Retry Delivery
      operationId: >-
        retry_delivery_v1_webhooks__endpoint_id__deliveries__delivery_id__retry_post
      parameters:
        - name: endpoint_id
          in: path
          required: true
          schema:
            type: string
            title: Endpoint Id
        - name: delivery_id
          in: path
          required: true
          schema:
            type: string
            title: Delivery Id
      responses:
        '202':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````